Skip to main content
POST
/
workflows
/
{id}
/
file-upload-url
Get a presigned URL for uploading a file to trigger a workflow
curl --request POST \
  --url https://api.artu.ai/workflows/{id}/file-upload-url \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'X-Environment: <api-key>' \
  --data '
{
  "filename": "<string>",
  "contentType": "<string>"
}
'
{
  "uploadUrl": "<string>",
  "uploadId": "<string>"
}

Authorizations

Authorization
string
header
required

API key authentication. Obtain your API key from the dashboard.

X-Environment
string
header
required

Target environment for the request. Must be "test" or "live".

Path Parameters

id
string<uuid>
required

Body

application/json
filename
string
required
Minimum string length: 1
contentType
string
required
Minimum string length: 1

Response

200 - application/json

OK

uploadUrl
string
required
uploadId
string
required